aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-devel-checkbin/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-10-24 09:28:15 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-24 09:28:15 +0000
commita0fcfdd706f2e50689ff21172da217a25c01b3e6 (patch)
treed01d916987c04b01d7be1e89e6510838a839cc5e /testing/perl-devel-checkbin/APKBUILD
parent52444261a9bfab157352c899a423c25e538a6c2b (diff)
downloadaports-a0fcfdd706f2e50689ff21172da217a25c01b3e6.tar.gz
aports-a0fcfdd706f2e50689ff21172da217a25c01b3e6.tar.bz2
aports-a0fcfdd706f2e50689ff21172da217a25c01b3e6.tar.xz
testing/perl-devel-checkbin: new aport
check that a command is available http://search.cpan.org/dist/Devel-CheckBin/
Diffstat (limited to 'testing/perl-devel-checkbin/APKBUILD')
-rw-r--r--testing/perl-devel-checkbin/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/perl-devel-checkbin/APKBUILD b/testing/perl-devel-checkbin/APKBUILD
new file mode 100644
index 0000000000..b6df25e254
--- /dev/null
+++ b/testing/perl-devel-checkbin/APKBUILD
@@ -0,0 +1,40 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-devel-checkbin
+_pkgreal=Devel-CheckBin
+pkgver=0.02
+pkgrel=0
+pkgdesc="check that a command is available"
+url="http://search.cpan.org/dist/Devel-CheckBin/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="aaa02a1262bc3eb3a7e5566590cb7814 Devel-CheckBin-0.02.tar.gz"
+sha256sums="f5643d4a11eaf6309137a377b907f0e25d9d966699c1144c950e789954d5e13c Devel-CheckBin-0.02.tar.gz"
+sha512sums="ba99b0e8177e284258caed44ec426b9eebc2afd621568d65617bd167f6a90662624ce43f083e3c4edffd1404da92220841a65b3de554a0fcaa47de53770d5d79 Devel-CheckBin-0.02.tar.gz"